#include<stdio.h>
int main()
{
int n,i,j;
scanf("%d",&n);
  if(n<=0)
printf("-1");

  else
{
for (i=2*n-1; i>0; i--)
    {
      for(j=1; j<=n; j++)
	printf(" ");
	  for(j=1; j<=n; j++)
	  {
	    if (j%2!=0)
	    printf("*");
	  else
	    printf("-");
	  }
	printf("\n");  
    }
       
	    
}

return 0;
}